Compatibility with web activities in F18 images

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Compatibility with web activities in F18 images

Gonzalo Odiard
Web activities don't work in F18 images because WebKit2 crash.
We added logic in Sugar to use WebKit when a env variabe is set.
I added the following patch when did the 0.102 images, 
but forgoten sent it upstream. 
This is only needed by images based n F18. No for images using F20 or F22.  

--
Gonzalo Odiard

SugarLabs - Software for children learning 

_______________________________________________
Devel mailing list
[hidden email]
http://lists.laptop.org/listinfo/devel

webkit1_compat.patch (840 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility with web activities in F18 images

Gonzalo Odiard
Just as a reference, this is the repo and branch where we worked 
on the 0.102 images, maybe something else is useful:


On Wed, Jun 3, 2015 at 8:10 AM, Gonzalo Odiard <[hidden email]> wrote:
Web activities don't work in F18 images because WebKit2 crash.
We added logic in Sugar to use WebKit when a env variabe is set.
I added the following patch when did the 0.102 images, 
but forgoten sent it upstream. 
This is only needed by images based n F18. No for images using F20 or F22.  

--
Gonzalo Odiard

SugarLabs - Software for children learning 



--
Gonzalo Odiard

SugarLabs - Software for children learning 

_______________________________________________
Devel mailing list
[hidden email]
http://lists.laptop.org/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [Sugar-devel] Compatibility with web activities in F18 images

James Cameron-2
In reply to this post by Gonzalo Odiard
Thanks, I've pushed this to the v7.0 branch on olpc-os-builder.

--
James Cameron
http://quozl.linux.org.au/
_______________________________________________
Devel mailing list
[hidden email]
http://lists.laptop.org/listinfo/devel